Upgrading to 3.x from 2.5.7


Hi,

do we have to do an ONIE install to go from 2.5.7 to 3.0 ?
did an "apt-update && apt-get upgrade" but this doesn't seem to do the job:

Reading state information...
Done0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Do I have to update the source.list ?

Thanks

David R.

2 replies

Userlevel 2
Hi David,

Yes, Cumulus Linux 3.0 must be initially installed via ONIE. More information can be found in the Release Notes:
https://support.cumulusnetworks.com/hc/en-us/articles/217040088#installing_version_3.0.0
Userlevel 3
Hi David, once you install 3.0, you'll notice that sources.list has changed, since we're using new repos now. See the new organization at https://support.cumulusnetworks.com/hc/en-us/articles/217422127

Reply